Skip to main content
POST
/
documents
/
{id}
/
rotate
Rotate a document
curl --request POST \
  --url https://api.terminal49.com/v2/documents/{id}/rotate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "degrees": 90
}'
{
  "status": "accepted"
}
Beta Feature - This endpoint is currently in beta. The API is stable, but the schema and behavior may evolve based on feedback.
After rotation is accepted, request GET /documents/{id}/download_url again to retrieve the updated image.

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

id
string<uuid>
required

Body

application/json
degrees
enum<integer>
required
Available options:
90,
180,
270

Response

Accepted

status
enum<string>
required
Available options:
accepted